Skip to main content
Welcome to the preview portal — This is an early release of the new Doc Hub experience, with more content coming soon.

Update a Fixed-Price Link


Use the information in this section to update a fixed-price link, such as modifying the billing information for your customers if their billing information changes. When sending an update request, include all of the fields from the original request to create the link. If you exclude a field, the information corresponding to that field is removed from the updated payment page. See Create a Fixed-Price Link for the complete field reference.

Status-only updates (deactivating or reactivating a link) are a permitted exception — you can send only the status field without including the other link fields.

Sending the Request

For environment base URLs, see Endpoints: Pay by Link.

Set {id} to the payment number ID contained in the create payment link response.

Endpoint

PATCH /ipl/v2/payment-links/{id}

PATCH /ipl/v2/payment-links/{id}

Example

{    "processingInformation": {        "linkType": "PURCHASE"    },    "orderInformation": {        "amountDetails": {            "currency": "USD",            "totalAmount": "75"        },        "lineItems": [            {                "productName": "Birthday Cake",                "unitPrice": "75"            }        ]    }}
{  "_links": {    "self": {      "href": "/ipl/v2/payment-links/78759658968978",      "method": "GET"    },    "update": {      "href": "/ipl/v2/payment-links/78759658968978",      "method": "PATCH"    }  },  "id": "78759658968978",  "submitTimeUtc": "2024-08-15T21:11:46.163224519Z",  "status": "ACTIVE",  "processingInformation": {    "linkType": "PURCHASE",    "requestPhone": false,    "requestShipping": false  },  "purchaseInformation": {    "purchaseNumber": "78759658968978",    "createdDate": "2024-08-15T21:08:24.593",    "paymentLink": "/ebc2/payByLink/pay/e1PxwGdhJWtz3MBXCE7DvuXoYlT7G0I2kyb3gRrQY6bLWbH5769guEPlUri2z7Kc"  },  "orderInformation": {    "amountDetails": {      "totalAmount": 75,      "currency": "USD"    },    "lineItems": [      {        "productName": "Birthday Cake",        "unitPrice": 75,        "quantity": 1      }    ]  }}
Required Fields
orderInformation.amountDetails.currency string

Three-character ISO 4217 currency code. For example, USD.

orderInformation.amountDetails.totalAmount string

Total price for the item. Maximum 15 characters.

orderInformation.lineItems[].productName string

Name of the product or service.

orderInformation.lineItems[].unitPrice string

Price per unit.

processingInformation.linkType string

Set to PURCHASE.

Optional Fields
clientReferenceInformation.partner.developerId string

Set to your developer ID.

clientReferenceInformation.partner.solutionId string

Set to your partner solution ID (PSID).

orderInformation.amountDetails.maxAmount string

Maximum payment amount allowed.

orderInformation.amountDetails.minAmount string

Minimum payment amount allowed.

orderInformation.lineItems[].productDescription string

Description of the product or service.

orderInformation.lineItems[].productSku string

Product SKU or identifier.

orderInformation.lineItems[].quantity integer

Number of units.

processingInformation.requestPhone boolean

When true, the payment page prompts the customer to enter a phone number before completing payment.

processingInformation.requestShipping boolean

When true, adds a required shipping address field to the payment form.

purchaseInformation.purchaseNumber string

Set to a unique identifier for the payment link.

status string

Include this field to activate or deactivate a payment link. Set to one of these values:

  • ACTIVE: The payment link is usable to complete a payment.
  • INACTIVE: The payment link is not usable to complete a payment.

You can deactivate a payment link to no longer allow your customers to use the link. To do this, include the status field in your update request and set it to INACTIVE. If you want to activate the payment link again, you can send your update request with the status field set to ACTIVE.

PATCH /ipl/v2/payment-links/{id}

PATCH /ipl/v2/payment-links/{id}

{  "status": "INACTIVE"}

Response

A successful response returns HTTP 200 with the updated payment link details. The response shape matches the create payment link response — see Create a Fixed-Price Link for field descriptions.

Common error responses:

  • 400 — A required field is missing or a field value is invalid.
  • 401 — Authentication failed. Verify your credentials.
  • 404 — No payment link found for the specified {id}.

Last published: October 28, 2026

Not available for your audience

This page isn't available for your current audience selection.